using System;
using System.Collections.Generic;
using System.Linq;

namespace project.domain
{
    static public class EnumerableExtensions
    {
        static public void each<T>(this IEnumerable<T> items, Action<T> action)
        {
            foreach (var item in items ?? Enumerable.Empty<T>()) action(item);
        }
    }
}